## newt 0.21

=== Makefile ===
LIBS = -lslang -lm #-lefence
SHLIBS = -lslang -lm -lc

CFLAGS = $(RPM_OPT_FLAGS) -Wall
ifeq ($(RPM_OPT_FLAGS),)
CFLAGS += -g -O2
endif

VERSION = 0.21
CVSTAG = r$(subst .,-,$(VERSION))
SONAME = 0.20

PROGS = test whiptail whiptcl.so testgrid
TESTOBJS = test.o 
NDIALOGOBJS = whiptail.o dialogboxes.o 
WHIPTCLOBJS = whiptcl.o dialogboxes.o
LIBNEWT = libnewt.a
LIBNEWTSH = libnewt.so.$(VERSION)
LIBNEWTSONAME = libnewt.so.$(SONAME)
LIBOBJS = newt.o button.o form.o checkbox.o entry.o label.o listbox.o \
          scrollbar.o textbox.o scale.o grid.o windows.o buttonbar.o

SHCFLAGS = -fPIC

prefix = /usr
includedir = $(prefix)/include
libdir = $(prefix)/lib
bindir = $(prefix)/bin
ARCHNAME = $(shell uname -m | sed 's/i.86/i386/')
pythondir = $(prefix)/lib/python1.4
pythonbindir = $(prefix)/lib/python1.4/linux-$(ARCHNAME)

#--------------------------------------

SOURCES = $(subst .o,.c,$(TESTOBJS) $(NDIALOGOBJS) $(LIBOBJS)) 

SHAREDDIR = shared
SHAREDOBJS = $(patsubst %,$(SHAREDDIR)/%, $(LIBOBJS))

ifeq (.depend,$(wildcard .depend))
TARGET=$(PROGS)
else
TARGET=depend $(PROGS)
endif

all:	$(TARGET) _snackmodule.so

test:	$(TESTOBJS) $(LIBNEWT)
	gcc -g -o test $(TESTOBJS) $(LIBNEWT) $(LIBS)

testgrid:	testgrid.o $(LIBNEWT)
	gcc -g -o testgrid testgrid.o $(LIBNEWT) $(LIBS)

_snackmodule.so:   snackmodule.o $(LIBNEWTSH)
	gcc --shared -o _snackmodule.so snackmodule.o -L . $(LIBNEWTSH)

snackmodule.o:   snackmodule.c
	gcc -I/usr/include/python1.4 -fPIC $(CFLAGS) -c snackmodule.c

whiptail: $(NDIALOGOBJS) $(LIBNEWTSH)
	gcc -g -o whiptail $(NDIALOGOBJS) -L . $(LIBNEWTSH) $(LIBS) -lpopt

whiptcl.so: $(WHIPTCLOBJS) $(LIBNEWTSH)
	gcc -shared -o whiptcl.so $(WHIPTCLOBJS) -L . $(LIBNEWTSH) -ltcl -lslang -lpopt -lm

$(LIBNEWT): $(LIBNEWT)($(LIBOBJS))

newt.o: newt.c Makefile
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -c -o $@ $<

veryclean: clean
	rm -f .depend

clean:
	rm -f $(PROGS) *.o $(LIBNEWT) core $(LIBNEWTSH)  \
		$(SHAREDOBJS) *.so*

depend:
	$(CPP) $(CFLAGS) -M $(SOURCES) > .depend

$(SHAREDDIR):
	mkdir -p $(SHAREDDIR)

sharedlib: $(LIBNEWTSH)

$(LIBNEWTSH): $(SHAREDDIR) $(SHAREDOBJS)
	gcc -shared -o $(LIBNEWTSH) -Wl,-soname,$(LIBNEWTSONAME) $(SHAREDOBJS) $(SHLIBS)

$(SHAREDDIR)/%.o : %.c
	$(CC) $(SHCFLAGS) -c $(CFLAGS) -o $@ $<

$(SHAREDDIR)/newt.o: newt.c Makefile
	$(CC) $(SHCFLAGS) $(CFLAGS) -DVERSION=\"$(VERSION)\" -c -o $@ $<


install: $(LIBNEWT) whiptail
	[ -d $(instroot)/$(bindir) ] || install -m 755 -d $(instroot)/$(bindir)
	[ -d $(instroot)/$(libdir) ] || install -m 755 -d $(instroot)/$(libdir)
	[ -d $(instroot)/$(includedir) ] || install -m 755 -d $(instroot)/$(includedir)
	install -m 644 newt.h $(instroot)/$(includedir)
	install -m 644 $(LIBNEWT) $(instroot)/$(libdir)
	install -s -m 755 whiptail $(instroot)/$(bindir)

install-sh: sharedlib whiptcl.so _snackmodule.so
	install -m 755 $(LIBNEWTSH) $(instroot)/$(libdir)
	ln -sf $(LIBNEWTSH) $(instroot)/$(libdir)/libnewt.so
	install -m 755 whiptcl.so $(instroot)/$(libdir)
	[ -d $(instroot)/$(pythonbindir) ] || install -m 755 -d $(instroot)/$(pythonbindir)
	install -m 755 _snackmodule.so $(instroot)/$(pythonbindir)
	install -m 755 snack.py $(instroot)/$(pythondir)

archive: 
	@cvs tag -F $(CVSTAG)
	@rm -rf /tmp/newt-$(VERSION)
	@mkdir /tmp/newt-$(VERSION)
	@cvs export -r$(CVSTAG) -d /tmp/newt-$(VERSION) newt
	@cd /tmp; tar czSpf newt-$(VERSION).tar.gz newt-$(VERSION)
	@rm -rf /tmp/newt-$(VERSION)
	@cp /tmp/newt-$(VERSION).tar.gz .
	@rm -f /tmp/newt-$(VERSION).tar.gz 
	@echo " "
	@echo "The final archive is ./newt-$(VERSION).tar.gz."

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## newt 0.52.14

=== debian/changelog ===
newt (0.52.14-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * python-newt-dbg.preinst: Handle symlink to directory conversion. (Closes:
    #700781)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Feb 2013 19:58:40 +0100

newt (0.52.14-11) unstable; urgency=low

  * Add Latvian translation. Closes: #674705.
  * Close bugs fixed in -9: Closes: #670039. Closes: #670012. Closes: #658319.
  * Don't override hardened CFLAGS. Closes: #658430.
  * Updated welsh translation. Closes: #677458.
  * Updated Lithuanian translation. Closes: #675678.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jun 2012 12:52:00 +0100

newt (0.52.14-10) unstable; urgency=low

  * Fix: whiptail gave incorrect result for ESC pressed when NO selected.
    Closes: #665784. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 May 2012 12:30:04 +0100

newt (0.52.14-9) unstable; urgency=low

  * Add debian/watch file.
  * Standard-Version: 3.9.3. No changes required. 
  * Correct packages marked: Multiarch: same. translation .mo files are not
    multiarch safe Closes: #670012, #670039.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Apr 2012 00:22:52 +0100

newt (0.52.14-8) unstable; urgency=low

  *  Fix thanks to Kris Henriksson for snackmodule build. Closes: #655151.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Jan 2012 14:59:30 +0000

newt (0.52.14-7) unstable; urgency=low

  * Snackmodule.* must be compiled -fPIC on AMD64, etc. Closes: #655151. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Jan 2012 14:20:33 +0000

newt (0.52.14-6) unstable; urgency=low

  * Edit pkg-config --libs, --ldflags lines to ensure python shared objects 
    are not linkead against libpython. Closes: #655244.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jan 2012 17:49:24 +0000

newt (0.52.14-5) unstable; urgency=low

  * Typo in patch: extra "+" leads to failure to install snackmodule
    in some cases. Closes: #655151.
  * Remove unnecessary dependencies on libpython* in python-newt that
    were blocking python2.6 upgade.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jan 2012 16:08:28 +0000

newt (0.52.14-4) unstable; urgency=low

  * Fix crash due to blankline() in textbox being initialised in the 
    wrong place in refactored bid patch. Closes: #654408, #654351. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Jan 2012 16:56:33 +0000

newt (0.52.14-3) unstable; urgency=low

  * Push to unstable.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jan 2012 15:54:01 +0000

newt (0.52.14-2) experimental; urgency=low

  * bidi.patch: Add -ldl direct linkage for libnewt.so. Closes: #600289. 
  * One call newtInit() once in python newt initScreen(). Closes: #557960. 
  * Fix crash due to blankline being empty in textboxDraw.
    Closes: #650845. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Dec 2011 02:34:47 +0000

newt (0.52.14-1) experimental; urgency=low

  * New upstream release. Closes: #601516.
  * Move to dh and source format 3 (quilt), from dbs. Closes: #576044.
  * Move to python2 from python_central. Closes: #616915.
  * Make Multi-Arch.
  * Standards-Version: 3.9.2. 
  * Remove obsolete conflicts / replaces/ provides from control file. 
  * Uighir translation by Sahran <Sahran.ug@gmail.com>. Closes: #627014.
  * Sinhala translation by Danishka Navin. Closes: #640766.
  * Old Patches:
    - Added DEP-3 headers.
    - removed Farsi lang patch now in upstream.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Dec 2011 10:56:05 +0000

newt (0.52.11-2) unstable; urgency=low

  * Icelandic translation thanks to  Sveinn í Felli. Closes: #3600258, #592828. 
  * Farsi patch translation thanks to  Behrad Eslamifar. Closes: #590698.	
  * Belarussian translation thanks to  Viktar Siarheichyk. Closes: #595938.
  * Kazakh translation thanks to Baurzhan Muftakhidinov. Closes: #589007.
  * Irish translation thanks to Kevin Scannell. Closes: #579198.
  * Standards-Version: 3.9.1. No changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Oct 2010 15:10:47 +0100

newt (0.52.11-1) unstable; urgency=low

  * New upstream. Closes: #575561. 
    Merged upstream:
     029_crash_fix.patch
     040_pkgconfig.patch
     310_libfixes.patch 
     320_valgrind_fixes.patch (partial)
     040_pkgconfig.patch
     410_marathi.patch 
     420_checkbox_width.patch
     600_CVE-2009-2905.patch
     720_newt_combiwrap.patch
     730_gujarati.patch
   * Fix to allow ESC key to work in whiptail. Closes: #584098.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Jun 2010 20:54:29 +0100

newt (0.52.10-8) unstable; urgency=low

  * Remove unnecessary libgpm-dev, as it breaks kfreebsd. Closes: #572230. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Mar 2010 10:14:59 +0000

newt (0.52.10-7) unstable; urgency=low

  * Enable GPM support on Linux, kFreeBSD. Closes: #572274, #569172 .
  * Build-depend on libgpm-dev.
  * Standards-Version: 3.8.4. No changes required. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Mar 2010 08:34:30 +0000

newt (0.52.10-6) unstable; urgency=low

  * Fix for 020_bidi.patch that now requires TRUE/FALSE to be defined.
    Thanks to Theppitak Karoonboonyanan. Closes: #570663.
  * Initialize space for fribidi to zero. Fix thanks to Colin Watson.
    Closes: #570581. 
  * Fix for text incorrectly wrapping at combining characters.
    Thanks to Theppitak Karoonboonyanan. Closes: #570630.
  * Translations:
     Gujarati, thanks to Kartik Mistry. Closes: #571682. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Mar 2010 13:33:00 +0000

newt (0.52.10-5) unstable; urgency=low

  * Acknowledge NMU with thanks. 
  * Remove double spaces in control that breaks dpkg-dev. Closes: #557543.
  * Move to Standards-Version 3.8.3. No changes required.
  * Add -ldl to Libs line. Closes: #560542, #555771.
  * Translations:
    Updated Bengali patch that documens plural forms. Closes: #524974


=== debian/control ===
Source: newt
Section: devel
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 3.9.3
Homepage: https://fedorahosted.org/newt/
Vcs-Git: git://git.fedorahosted.org/git/newt
X-Python-Version: (>= 2.5)
Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev, debhelper (>=8.1.3~), gettext, libfribidi-dev, tcl8.5-dev, python-all-dev (>= 2.6.6-3~), autoconf, python-all-dbg, dh-autoreconf

Package: libnewt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Priority: optional
Depends: libslang2-dev (>= 2.0.2), libnewt0.52 (=${binary:Version}), ${misc:Depends}
Description: Developer's toolkit for newt windowing library
 These are the header files and libraries for developing applications
 which use newt. Newt is a windowing toolkit for text mode, which provides
 many widgets and stackable windows.

Package: libnewt-pic
Architecture: any
Multi-Arch: same
Section: libdevel
Priority: extra
Depends: libnewt-dev (=${binary:Version}), ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Not Erik's Windowing Toolkit, shared library subset kit
 This is used to develop subsets of the newt shared libraries for use on
 custom installation floppies and in embedded systems. Unless you're
 making one of those, you won't need this package.

Package: newt-tcl
Architecture: any
Section: interpreters
Priority: extra
Depends: libnewt0.52 (=${binary:Version}) , tcl8.3 | tcl8.4 | tcl8.5, ${misc:Depends}, ${shlibs:Depends}
Description: NEWT module for Tcl
 This module allows you to build a text UI for your Tcl scripts
 using newt.

Package: python-newt
Architecture: any
Section: python
Priority: optional
Provides: ${python:Provides}
Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: NEWT module for Python
 This module allows you to built a text UI for your Python scripts
 using newt.

Package: python-newt-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libnewt0.52 (=${binary:Version}), python-newt (=${binary:Version}), python-dbg, ${misc:Depends}, ${shlibs:Depends}
Description: NEWT module for Python (debug extension)
 This module allows you to built a text UI for your Python scripts
 using newt.
 .
 This package contains the extension built for the Python debug interpreter.


Package: libnewt0.52
Architecture: any
Section: libs
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: libfribidi0
Description: Not Erik's Windowing Toolkit - text mode windowing with slang
 Newt is a windowing toolkit for text mode built from the slang library.
 It allows color text mode applications to easily use stackable windows,
 push buttons, check boxes, radio buttons, lists, entry fields, labels,
 and displayable text. Scrollbars are supported, and forms may be nested
 to provide extra functionality. This package contains the shared library
 for programs that have been built with newt.

Package: whiptail
Architecture: any
Section: utils
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Displays user-friendly dialog boxes from shell scripts
 Whiptail is a "dialog" replacement using newt instead of ncurses. It
 provides a method of displaying several different types of dialog boxes
 from shell scripts. This allows a developer of a script to interact with
 the user in a much friendlier manner.

=== debian/rules ===
#!/usr/bin/make -f
#
# Created 20 December 1997 by Enrique Zanardi <ezanardi@ull.es>
# Modified 2002-2011 by Alastair McKinstry, <mckinstry@debian.org>
#
# Copying and modification is unlimited, provided that the modified
# version is marked as being modified.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Magic debhelper rule.
%:
	dh $@ --with python2

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
PYVERS:=$(shell pyversions --supported)

ifeq ($(DEB_HOST_ARCH_OS),hurd)
GPMSUPPORT=
else
GPMSUPPORT= --with-gpm-support
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
NOSTRIP=--with-nostrip=no
else
NOSTRIP=--with-nostrip=yes
endif

override_dh_auto_clean:
	dh_auto_clean
	# remove autogenerated files
	rm -rf Makefile config.h* config.log config.status .depend libnewt.pc \
	   configure install-sh po/*.mo python* tutorial libnewt_pic.a
	rm -f debian/shlibs.local

override_dh_auto_configure:
	dh_autoreconf 
	# Nasty hack. why is it necessary?
	cp /usr/share/automake-1.11/install-sh ./install-sh
	dh_auto_configure  -- $(GPMSUPPORT) $(NOSTRIP)  CFLAGS="-I/usr/include/tcl8.5 $(CFLAGS)"  \
		CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" FFLAGS="$(FFLAGS)" 

override_dh_auto_build:
	dh_auto_build
	sgmltools --backend html tutorial.sgml
	ar cqv libnewt_pic.a shared/*.o
	
	
override_dh_auto_install:
	dh_auto_install 
	for v in $(PYVERS); do \
		pylib=usr/lib/$$v/dist-packages ; \
		mkdir -p debian/python-newt/$$pylib ; \
		mkdir -p debian/python-newt-dbg/$$pylib ;\
		mv $$v/*snackmodule_d.* debian/python-newt-dbg/$$pylib; \
		cp snack.py $$v/* debian/python-newt/$$pylib; \
	done
	dh_install -p libnewt-dev libnewt.a $(LIBDIR)
	mkdir -p debian/libnewt-pic/$(LIBDIR)
	cp newt*.ver debian/libnewt-pic/$(LIBDIR)/libnewt_pic.map

=== debian/watch ===
version=3
https://fedorahosted.org/releases/n/e/newt/newt-(.+)\.tar\.gz

## newt 0.52.15

=== debian/changelog ===
newt (0.52.15-2ubuntu5) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:29 +0000

newt (0.52.15-2ubuntu4) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:26 +0000

newt (0.52.15-2ubuntu3) trusty; urgency=medium

  * Build for Tcl 8.6.
  * Rename the python extension to the multiarch name.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Jan 2014 17:24:22 +0100

newt (0.52.15-2ubuntu2) trusty; urgency=medium

  * Allow the package to cross build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Dec 2013 21:34:41 +0100

newt (0.52.15-2ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Fix python-* package descriptions.
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Install whiptail in /bin instead of /usr/bin.
  * Still build with tcl8.5 (8.6 is in universe).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Jul 2013 23:06:29 +0200

newt (0.52.15-2) unstable; urgency=low

  * Ensure unowned files get removed on purge.( /etc/newt/palette).
    Closes: #709194. 
  * Fix FTBFS with new automake-1.13.
  * Add symbols file for libnewt0.52.15

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Jun 2013 14:28:50 +0100

newt (0.52.15-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.9.4
  * Build against tcl8.6-dev 
  * Build python3 modules. Closes: #691240
  * Update patches; latvian patch now merged upstream.
  * M-A, round two: patch to run msgfmt --endianness little to force
    .mo files to be identical. Now lib* package can be Multi-Arch: same
  * The python-newt-dbg and python3-newt-dbg packages conflict as they
    ship the same debug symbols file (hashed)
  * Use dh --with autoreconf rather than call 'by hand'. Cleaner.
  * Include more changes for hardening support. Closes: #658430.
  * Improved watch file from Bart Martens.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 May 2013 20:56:57 +0100

newt (0.52.14-11ubuntu7) raring; urgency=low

  * debian/palette.ubuntu, debian/palette.debian: LP: #1155441
    - update the palette configuration file for the Ubuntu palette
    - the previous palette configuration file was read by a patch that
      upstream did not accept;  upstream did enable the configurable
      palette feature, but the file format is completely different
    - update palette.ubuntu to set the necessary values to magenta
    - update palette.original, zeroing it out to empty (which will
      default to the upstream default colors

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 14 Mar 2013 23:52:24 -0500

newt (0.52.14-11ubuntu6) raring; urgency=low

  * debian/patches/python3.patch: Fix the $$variant tests in Makefile.in.
    -z means to check for zero length (-n is for non-zero length).  This
    got the order of the _snack{,_d}.so files reversed. (LP: #1097922)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 13 Feb 2013 15:16:35 -0500

newt (0.52.14-11ubuntu5) raring; urgency=low

  * Modified python3.patch (LP: #1092117).
    - New snack.py depends on string modules.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 23 Dec 2012 17:52:33 +0900

newt (0.52.14-11ubuntu4) raring; urgency=low

  * Fix link target of libnewt.so to cope with move to /lib.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 14:14:01 +0000

newt (0.52.14-11ubuntu3) raring; urgency=low

  * Build-depend on python3-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 18:04:44 +0100

newt (0.52.14-11ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Port python module to python3.
    - Fix installation for multiple python3 versions.
    - Move libnewt to /lib and whiptail to /bin so they can be used by
      friendly-recovery on systems that have a separate /usr.
    - debian/libnewt0.52.install, debian/libnewt0.52.postinst,
      debian/palette => debian/palette.original:
      - move palette from /usr to /etc such that they can be edited by an
        admin.
  * Configure --with-colorsfile=/etc/newt/palette.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 14:50:00 +0100

newt (0.52.11-2ubuntu12) raring; urgency=low

  * Fix build failure with python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2012 18:07:37 +0200

newt (0.52.11-2ubuntu11) quantal; urgency=low

  [ James Hunt ]
  * Port python module to python3:
    - Introduces python3-newt and python3-newt-dbg.
    - Update build-depend to require python3-all-dev.

  [ Stéphane Graber ]
  * Port python module to python3:
    - Make a debian/patches patch out of James' changes.
    - Add missing python3-all-dbg build-dependency.
    - Fix debian/rules generated symlinks to work with the python3
      packages.
    - Fix the Provides and Depends of the python3 packages.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 13 Jun 2012 18:31:46 -0400

newt (0.52.11-2ubuntu10) precise; urgency=low

  * Move libnewt to /lib and whiptail to /bin so they can be used by
    friendly-recovery on systems that have a separate /usr.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Feb 2012 23:23:34 -0500

newt (0.52.11-2ubuntu9) precise; urgency=low

  * Insert missing space in debian/patches/030_tcl8.5.patch

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 20 Nov 2011 23:28:49 -0700

newt (0.52.11-2ubuntu8) oneiric; urgency=low

  * Convert to dh_python2 (Debian #616915, LP: #788514).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jun 2011 11:59:01 +0100

newt (0.52.11-2ubuntu7) natty; urgency=low

  * debian/libnewt0.52.postinst: revert part of last change, do install
    the original newt alternative, such that it's discoverable, other
    packages will use --set to select

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 22 Mar 2011 08:25:07 -0500

newt (0.52.11-2ubuntu6) natty; urgency=low



=== debian/control ===
--- 
+++ 
@@ -1,18 +1,24 @@
 Source: newt
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Standards-Version: 3.9.4
 Homepage: https://fedorahosted.org/newt/
 Vcs-Git: git://git.fedorahosted.org/git/newt
-X-Python-Version: (>= 2.5)
-Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev, debhelper (>=8.1.3~), gettext, libfribidi-dev, tcl8.5-dev, python-all-dev (>= 2.6.6-3~), autoconf, python-all-dbg, dh-autoreconf
+X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
+Build-Depends: debhelper (>=9), sgmltools-lite, gettext, dh-autoreconf,
+ libslang2-dev  (>=2.0.4-2), libpopt-dev, libfribidi-dev, tcl8.6-dev,
+ python-all-dev:any (>= 2.6.6-3~), python-all-dbg:any,
+ python3-all-dev:any, python3-all-dbg:any,
+ libpython-all-dev (>= 2.6.6-3~), libpython-all-dbg,
+ libpython3-all-dev, libpython3-all-dbg
 
 Package: libnewt-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Priority: optional
 Depends: libslang2-dev (>= 2.0.2), libnewt0.52 (=${binary:Version}), ${misc:Depends}
 Description: Developer's toolkit for newt windowing library
  These are the header files and libraries for developing applications
@@ -35,7 +41,7 @@
 Architecture: any
 Section: interpreters
 Priority: extra
-Depends: libnewt0.52 (=${binary:Version}) , tcl8.3 | tcl8.4 | tcl8.5, ${misc:Depends}, ${shlibs:Depends}
+Depends: libnewt0.52 (=${binary:Version}) , tcl8.6 | tcl8.5 | tcl8.4, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Tcl
  This module allows you to build a text UI for your Tcl scripts
  using newt.
@@ -43,11 +49,19 @@
 Package: python-newt
 Architecture: any
 Section: python
-Priority: optional
 Provides: ${python:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Python
- This module allows you to built a text UI for your Python scripts
+ This module allows you to build a text UI for your Python scripts
+ using newt.
+
+Package: python3-newt
+Architecture: any
+Section: python
+Provides: ${python3:Provides}
+Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: NEWT module for Python3
+ This module allows you to build a text UI for your Python3 scripts
  using newt.
 
 Package: python-newt-dbg
@@ -56,11 +70,21 @@
 Priority: extra
 Depends: libnewt0.52 (=${binary:Version}), python-newt (=${binary:Version}), python-dbg, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Python (debug extension)
- This module allows you to built a text UI for your Python scripts
+ This module allows you to build a text UI for your Python scripts
  using newt.
  .
  This package contains the extension built for the Python debug interpreter.
 
+Package: python3-newt-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: libnewt0.52 (=${binary:Version}), python3-newt (=${binary:Version}), python3-dbg, ${misc:Depends}, ${shlibs:Depends}
+Description: NEWT module for Python3 (debug extension)
+ This module allows you to build a text UI for your Python3 scripts
+ using newt.
+ .
+ This package contains the extension built for the Python3 debug interpreter.
 
 Package: libnewt0.52
 Architecture: any
@@ -69,6 +93,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: libfribidi0
+Multi-Arch: same
 Description: Not Erik's Windowing Toolkit - text mode windowing with slang
  Newt is a windowing toolkit for text mode built from the slang library.
  It allows color text mode applications to easily use stackable windows,

=== debian/rules ===
#!/usr/bin/make -f
#
# Created 20 December 1997 by Enrique Zanardi <ezanardi@ull.es>
# Modified 2002-2011 by Alastair McKinstry, <mckinstry@debian.org>
#
# Copying and modification is unlimited, provided that the modified
# version is marked as being modified.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Magic debhelper rule.
%:
	dh $@ --with python2,python3,autoreconf

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/lib/$(DEB_HOST_MULTIARCH)
USRLIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
PYVERS:=$(shell pyversions --supported)
PY3VERS:=$(shell py3versions --supported)

ifeq ($(DEB_HOST_ARCH_OS),hurd)
GPMSUPPORT=
else
GPMSUPPORT= --with-gpm-support
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
NOSTRIP=--with-nostrip=no
else
NOSTRIP=--with-nostrip=yes
endif

COLORSFILE = --with-colorsfile=/etc/newt/palette

override_dh_auto_clean:
	dh_auto_clean
	# remove autogenerated files
	rm -rf Makefile config.h* config.log config.status .depend libnewt.pc \
	   configure install-sh po/*.mo python* tutorial libnewt_pic.a po/newt.pot
	rm -f debian/shlibs.local
	rm -f debian/python*-newt*.examples 

override_dh_auto_configure:
	# Nasty hack. why is it necessary?
	cp /usr/share/automake-1.*/install-sh ./install-sh
	dh_auto_configure  -- $(GPMSUPPORT) $(NOSTRIP) $(COLORSFILE) CFLAGS="-I/usr/include/tcl8.6 $(CFLAGS)"  \
		CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" FFLAGS="$(FFLAGS)" 

override_dh_auto_build:
	dh_auto_build
	sgmltools --backend html tutorial.sgml
	ar cqv libnewt_pic.a shared/*.o
	
	
override_dh_auto_install:
	dh_auto_install 
	mkdir -p debian/tmp/$(LIBDIR)/.
	mv debian/tmp/$(USRLIBDIR)/*.so.* debian/tmp/$(LIBDIR)/.
	ln -sf $(LIBDIR)/$$(readlink debian/tmp/$(USRLIBDIR)/libnewt.so) \
	       debian/tmp/$(USRLIBDIR)/libnewt.so

	for v in $(PYVERS); do \
		pylib=usr/lib/$$v/dist-packages ; \
		mkdir -p debian/python-newt/$$pylib ; \
		mkdir -p debian/python-newt-dbg/$$pylib ;\
		mv $$v-dbg/_snackmodule.so debian/python-newt-dbg/$$pylib/_snackmodule_d.so; \
		cp snack.py $$v/* debian/python-newt/$$pylib; \
	done
	for v in $(PY3VERS); do \
               pylib=usr/lib/python3/dist-packages ; \
               abitag=.$$($$v -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
               abitagdbg=.$$($$v-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
               mkdir -p debian/python3-newt/$$pylib ; \
               mkdir -p debian/python3-newt-dbg/$$pylib ;\
	       mv $$v/_snackmodule.so $$v/_snack$$abitag-$(DEB_HOST_MULTIARCH).so; \
               mv $$v-dbg/_snackmodule.so debian/python3-newt-dbg/$$pylib/_snack$$abitagdbg-$(DEB_HOST_MULTIARCH).so; \
               cp snack.py $$v/* debian/python3-newt/$$pylib; \
        done
	-find debian/python-* debian/python3-* -name '*.o' | xargs rm -f
	dh_install -p libnewt-dev libnewt.a $(USRLIBDIR)
	mkdir -p debian/libnewt-pic/$(USRLIBDIR)
	cp newt*.ver debian/libnewt-pic/$(USRLIBDIR)/libnewt_pic.map


override_dh_strip:
	dh_strip -Npython-newt -Npython-newt-dbg -Npython3-newt -Npython3-newt-dbg
	dh_strip -ppython-newt --dbg-package=python-newt-dbg
	dh_strip -ppython3-newt --dbg-package=python3-newt-dbg

=== debian/watch ===
version=3
https://fedorahosted.org/releases/n/e/newt/newt-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Wed, 27 Feb 2013 06:42:29 +0000

## newt 0.52.17

=== debian/changelog ===
newt (0.52.17-1) unstable; urgency=medium

  * Move to new release 0.5.17.
   - snackmodule now renamed 'snack' in python, tclsh.
   - python3 now in upstream. Remove patch.
  * Now Standards-Version: 3.9.5 
  * Use 'xz' compression. 
  * Add bash completion to whiptail. 
  * Mark whiptail as 'Mult-Arch: foreign'. Closes:#750767. 
  * Add bash_completion for whiptail.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jun 2014 09:38:39 +0100

newt (0.52.15-3) unstable; urgency=low

  * Fix handling of alternatives for /etc/newt/palette in M-A package
    libnewt0.52. CLoses: #718635

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Sep 2013 16:27:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,13 @@
 Source: newt
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.4
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Standards-Version: 3.9.5
 Homepage: https://fedorahosted.org/newt/
 Vcs-Git: git://git.fedorahosted.org/git/newt
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Build-Depends: debhelper (>=9), sgmltools-lite, gettext, dh-autoreconf,
- libslang2-dev  (>=2.0.4-2), libpopt-dev, libfribidi-dev, tcl8.6-dev,
- python-all-dev:any (>= 2.6.6-3~), python-all-dbg:any,
- python3-all-dev:any, python3-all-dbg:any,
- libpython-all-dev (>= 2.6.6-3~), libpython-all-dbg,
- libpython3-all-dev, libpython3-all-dbg
+Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev, debhelper (>=9), gettext, libfribidi-dev, tcl8.6-dev, python-all-dev (>= 2.6.6-3~), autoconf, python-all-dbg, dh-autoreconf, python3-all-dev, python3-all-dbg
 
 Package: libnewt-dev
 Architecture: any
@@ -41,7 +35,7 @@
 Architecture: any
 Section: interpreters
 Priority: extra
-Depends: libnewt0.52 (=${binary:Version}) , tcl8.6 | tcl8.5 | tcl8.4, ${misc:Depends}, ${shlibs:Depends}
+Depends: libnewt0.52 (=${binary:Version}) , tcl8.3 | tcl8.4 | tcl8.5, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Tcl
  This module allows you to build a text UI for your Tcl scripts
  using newt.
@@ -52,7 +46,7 @@
 Provides: ${python:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Python
- This module allows you to build a text UI for your Python scripts
+ This module allows you to built a text UI for your Python scripts
  using newt.
 
 Package: python3-newt
@@ -61,7 +55,7 @@
 Provides: ${python3:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Python3
- This module allows you to build a text UI for your Python3 scripts
+ This module allows you to built a text UI for your Python3 scripts
  using newt.
 
 Package: python-newt-dbg
@@ -70,7 +64,7 @@
 Priority: extra
 Depends: libnewt0.52 (=${binary:Version}), python-newt (=${binary:Version}), python-dbg, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Python (debug extension)
- This module allows you to build a text UI for your Python scripts
+ This module allows you to built a text UI for your Python scripts
  using newt.
  .
  This package contains the extension built for the Python debug interpreter.
@@ -81,7 +75,7 @@
 Priority: extra
 Depends: libnewt0.52 (=${binary:Version}), python3-newt (=${binary:Version}), python3-dbg, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Python3 (debug extension)
- This module allows you to build a text UI for your Python3 scripts
+ This module allows you to built a text UI for your Python3 scripts
  using newt.
  .
  This package contains the extension built for the Python3 debug interpreter.
@@ -106,6 +100,7 @@
 Architecture: any
 Section: utils
 Priority: important
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Displays user-friendly dialog boxes from shell scripts

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 	dh $@ --with python2,python3,autoreconf
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LIBDIR:=/lib/$(DEB_HOST_MULTIARCH)
-USRLIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
+LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 PYVERS:=$(shell pyversions --supported)
 PY3VERS:=$(shell py3versions --supported)
@@ -40,7 +39,6 @@
 	rm -rf Makefile config.h* config.log config.status .depend libnewt.pc \
 	   configure install-sh po/*.mo python* tutorial libnewt_pic.a po/newt.pot
 	rm -f debian/shlibs.local
-	rm -f debian/python*-newt*.examples 
 
 override_dh_auto_configure:
 	# Nasty hack. why is it necessary?
@@ -56,16 +54,11 @@
 	
 override_dh_auto_install:
 	dh_auto_install 
-	mkdir -p debian/tmp/$(LIBDIR)/.
-	mv debian/tmp/$(USRLIBDIR)/*.so.* debian/tmp/$(LIBDIR)/.
-	ln -sf $(LIBDIR)/$$(readlink debian/tmp/$(USRLIBDIR)/libnewt.so) \
-	       debian/tmp/$(USRLIBDIR)/libnewt.so
-
 	for v in $(PYVERS); do \
 		pylib=usr/lib/$$v/dist-packages ; \
 		mkdir -p debian/python-newt/$$pylib ; \
 		mkdir -p debian/python-newt-dbg/$$pylib ;\
-		mv $$v-dbg/_snackmodule.so debian/python-newt-dbg/$$pylib/_snackmodule_d.so; \
+		mv $$v-dbg/_snack.so debian/python-newt-dbg/$$pylib/_snack_d.so; \
 		cp snack.py $$v/* debian/python-newt/$$pylib; \
 	done
 	for v in $(PY3VERS); do \
@@ -74,14 +67,14 @@
                abitagdbg=.$$($$v-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
                mkdir -p debian/python3-newt/$$pylib ; \
                mkdir -p debian/python3-newt-dbg/$$pylib ;\
-	       mv $$v/_snackmodule.so $$v/_snack$$abitag-$(DEB_HOST_MULTIARCH).so; \
-               mv $$v-dbg/_snackmodule.so debian/python3-newt-dbg/$$pylib/_snack$$abitagdbg-$(DEB_HOST_MULTIARCH).so; \
+	       mv $$v/_snack.so $$v/_snack$$abitag.so; \
+               mv $$v-dbg/_snack.so debian/python3-newt-dbg/$$pylib/_snack$$abitagdbg.so; \
                cp snack.py $$v/* debian/python3-newt/$$pylib; \
         done
 	-find debian/python-* debian/python3-* -name '*.o' | xargs rm -f
-	dh_install -p libnewt-dev libnewt.a $(USRLIBDIR)
-	mkdir -p debian/libnewt-pic/$(USRLIBDIR)
-	cp newt*.ver debian/libnewt-pic/$(USRLIBDIR)/libnewt_pic.map
+	dh_install -p libnewt-dev libnewt.a $(LIBDIR)
+	mkdir -p debian/libnewt-pic/$(LIBDIR)
+	cp newt*.ver debian/libnewt-pic/$(LIBDIR)/libnewt_pic.map
 
 
 override_dh_strip:

## newt 0.52.18

=== debian/changelog ===
newt (0.52.18-1ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:39:21 +0000

newt (0.52.18-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Fix python-* package descriptions.
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Install whiptail in /bin instead of /usr/bin.
    - Install library into /lib instead of /usr/lib.
  * Revert the stage1 changes, the package can be cross-built without it.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Aug 2015 13:51:20 +0200

newt (0.52.18-1) unstable; urgency=medium

  * New upstream release. 
  * Patch from Helmut Grohne to enable stage1 build profile
    without python. Closes: #757100.
  * Standards-Version: 3.9.6
  * Patch from Peter Simon correcting whiptail manpage. Closes: #745238
  * Patch from Matthias Klose for python3.5 transition. Closes: #793575.
  * Fix missing examples. Closes: #714783
  * Typos in whiptail.1; Closes: #772142, #773298.
  * Move bash_completions.d to /usr/share/bash-completion/completions

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Jul 2015 15:12:33 +0100

newt (0.52.15-3ubuntu4) wily; urgency=medium

  * Fix the abi tag for python3.5. LP: #1477759.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jul 2015 22:25:34 +0200

newt (0.52.15-3ubuntu3) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 20:29:04 +0000

newt (0.52.15-3ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 19:03:09 +0000

newt (0.52.15-3ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix python-* package descriptions.
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Install whiptail in /bin instead of /usr/bin.
  * Still build with tcl8.5 (8.6 is in universe).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jun 2014 21:38:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,19 @@
 Source: newt
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Standards-Version: 3.9.6
 Homepage: https://fedorahosted.org/newt/
 Vcs-Git: git://git.fedorahosted.org/git/newt
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev, debhelper (>=9), gettext, libfribidi-dev, tcl8.6-dev, python-all-dev (>= 2.6.6-3~), autoconf, python-all-dbg, dh-autoreconf, python3-all-dev, python3-all-dbg
+Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev, debhelper (>=9), gettext, libfribidi-dev, tcl8.6-dev, 
+ dh-autoreconf, autoconf, dpkg-dev (>= 1.17.14),
+ python-all-dev:any (>= 2.6.6-3~), python-all-dbg:any,
+ python3-all-dev:any, python3-all-dbg:any,
+ libpython-all-dev (>= 2.6.6-3~), libpython-all-dbg,
+ libpython3-all-dev, libpython3-all-dbg
 
 Package: libnewt-dev
 Architecture: any
@@ -35,7 +41,7 @@
 Architecture: any
 Section: interpreters
 Priority: extra
-Depends: libnewt0.52 (=${binary:Version}) , tcl8.3 | tcl8.4 | tcl8.5, ${misc:Depends}, ${shlibs:Depends}
+Depends: libnewt0.52 (=${binary:Version}) , tcl8.6 | tcl8.5 | tcl8.4, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Tcl
  This module allows you to build a text UI for your Tcl scripts
  using newt.
@@ -45,8 +51,9 @@
 Section: python
 Provides: ${python:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Build-Profiles: <!stage1>
 Description: NEWT module for Python
- This module allows you to built a text UI for your Python scripts
+ This module allows you to build a text UI for your Python scripts
  using newt.
 
 Package: python3-newt
@@ -54,8 +61,9 @@
 Section: python
 Provides: ${python3:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Build-Profiles: <!stage1>
 Description: NEWT module for Python3
- This module allows you to built a text UI for your Python3 scripts
+ This module allows you to build a text UI for your Python3 scripts
  using newt.
 
 Package: python-newt-dbg
@@ -63,8 +71,9 @@
 Section: debug
 Priority: extra
 Depends: libnewt0.52 (=${binary:Version}), python-newt (=${binary:Version}), python-dbg, ${misc:Depends}, ${shlibs:Depends}
+Build-Profiles: <!stage1>
 Description: NEWT module for Python (debug extension)
- This module allows you to built a text UI for your Python scripts
+ This module allows you to build a text UI for your Python scripts
  using newt.
  .
  This package contains the extension built for the Python debug interpreter.
@@ -74,8 +83,9 @@
 Section: debug
 Priority: extra
 Depends: libnewt0.52 (=${binary:Version}), python3-newt (=${binary:Version}), python3-dbg, ${misc:Depends}, ${shlibs:Depends}
+Build-Profiles: <!stage1>
 Description: NEWT module for Python3 (debug extension)
- This module allows you to built a text UI for your Python3 scripts
+ This module allows you to build a text UI for your Python3 scripts
  using newt.
  .
  This package contains the extension built for the Python3 debug interpreter.

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,20 @@
 
 # Magic debhelper rule.
 %:
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	dh $@ --with python2,python3,autoreconf
+else
+	dh $@ --with autoreconf
+endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
+LIBDIR:=/lib/$(DEB_HOST_MULTIARCH)
+USRLIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 PYVERS:=$(shell pyversions --supported)
 PY3VERS:=$(shell py3versions --supported)
+
+AM_VERS:=1.15
 
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 GPMSUPPORT=
@@ -39,10 +46,11 @@
 	rm -rf Makefile config.h* config.log config.status .depend libnewt.pc \
 	   configure install-sh po/*.mo python* tutorial libnewt_pic.a po/newt.pot
 	rm -f debian/shlibs.local
+	rm -f debian/python*-newt*.examples 
 
 override_dh_auto_configure:
 	# Nasty hack. why is it necessary?
-	cp /usr/share/automake-1.*/install-sh ./install-sh
+	cp /usr/share/automake-$(AM_VERS)/install-sh ./install-sh
 	dh_auto_configure  -- $(GPMSUPPORT) $(NOSTRIP) $(COLORSFILE) CFLAGS="-I/usr/include/tcl8.6 $(CFLAGS)"  \
 		CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" FFLAGS="$(FFLAGS)" 
 
@@ -54,12 +62,17 @@
 	
 override_dh_auto_install:
 	dh_auto_install 
+	mkdir -p debian/tmp/$(LIBDIR)/.
+	mv debian/tmp/$(USRLIBDIR)/*.so.* debian/tmp/$(LIBDIR)/.
+	ln -sf $(LIBDIR)/$$(readlink debian/tmp/$(USRLIBDIR)/libnewt.so) \
+	       debian/tmp/$(USRLIBDIR)/libnewt.so
+
 	for v in $(PYVERS); do \
 		pylib=usr/lib/$$v/dist-packages ; \
 		mkdir -p debian/python-newt/$$pylib ; \
 		mkdir -p debian/python-newt-dbg/$$pylib ;\
 		mv $$v-dbg/_snack.so debian/python-newt-dbg/$$pylib/_snack_d.so; \
-		cp snack.py $$v/* debian/python-newt/$$pylib; \
+                cp snack.py $$v/* debian/python-newt/$$pylib; \
 	done
 	for v in $(PY3VERS); do \
                pylib=usr/lib/python3/dist-packages ; \
@@ -67,14 +80,20 @@
                abitagdbg=.$$($$v-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
                mkdir -p debian/python3-newt/$$pylib ; \
                mkdir -p debian/python3-newt-dbg/$$pylib ;\
-	       mv $$v/_snack.so $$v/_snack$$abitag.so; \
-               mv $$v-dbg/_snack.so debian/python3-newt-dbg/$$pylib/_snack$$abitagdbg.so; \
+               if echo x$$abitag | grep -q "$(DEB_HOST_MULTIARCH)"; then \
+                mv $$v/_snack.so $$v/_snack$$abitag.so; \
+                 mv $$v-dbg/_snack.so debian/python3-newt-dbg/$$pylib/_snack$$abitagdbg.so; \
+              else \
+                 mv $$v/_snack.so $$v/_snack$$abitag-$(DEB_HOST_MULTIARCH).so; \
+                 mv $$v-dbg/_snack.so debian/python3-newt-dbg/$$pylib/_snack$$abitagdbg-$(DEB_HOST_MULTIARCH).so; \
+              fi; \
                cp snack.py $$v/* debian/python3-newt/$$pylib; \
         done
 	-find debian/python-* debian/python3-* -name '*.o' | xargs rm -f
-	dh_install -p libnewt-dev libnewt.a $(LIBDIR)
-	mkdir -p debian/libnewt-pic/$(LIBDIR)
-	cp newt*.ver debian/libnewt-pic/$(LIBDIR)/libnewt_pic.map
+
+	dh_install -p libnewt-dev libnewt.a $(USRLIBDIR)
+	mkdir -p debian/libnewt-pic/$(USRLIBDIR)
+	cp newt*.ver debian/libnewt-pic/$(USRLIBDIR)/libnewt_pic.map
 
 
 override_dh_strip:

## newt 0.52.18-1ubuntu2+8.0trisquel2

=== po/Makefile ===
INSTALL= /usr/bin/install -c
INSTALL_PROGRAM= ${INSTALL}
INSTALL_DATA= ${INSTALL} -m 644
INSTALLNLSDIR=$(datadir)/locale

MSGMERGE = msgmerge

NLSPACKAGE = newt

CATALOGS = $(shell ls *.po)
FMTCATALOGS = $(patsubst %.po,%.mo,$(CATALOGS))

POTFILES  = ../dialogboxes.c

all: $(NLSPACKAGE).pot $(FMTCATALOGS)

$(NLSPACKAGE).pot: $(POTFILES)
	xgettext --default-domain=$(NLSPACKAGE) \
		--add-comments --keyword=_ --keyword=N_ $(POTFILES)
	if cmp -s $(NLSPACKAGE).po $(NLSPACKAGE).pot; then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv $(NLSPACKAGE).po $(NLSPACKAGE).pot; \
	fi

refresh-po: Makefile
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.po//'`; \
		if $(MSGMERGE) $$lang.po $(NLSPACKAGE).pot > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

update-po: $(NLSPACKAGE).pot Makefile refresh-po

report:
	@for cat in $(CATALOGS); do \
		echo -n "$$cat: "; \
		msgfmt --endianness little -v --statistics -o /dev/null $$cat; \
	done

clean:
	rm -f *mo

distclean: clean
	rm -f .depend Makefile

depend:

install: all
	mkdir -p $(INSTALLNLSDIR)
	for n in $(CATALOGS); do \
	    l=`basename $$n .po`; \
	    mo=$$l.mo; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    if [ -f $$n ]; then \
	        $(INSTALL) -m 644 $$mo $(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	    fi; \
	done

%.mo: %.po
	msgfmt -v -o $@ $<

=== debian/changelog ===
newt (0.52.18-1ubuntu2+8.0trisquel2) flidas; urgency=medium

  * Color palette set back to default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Jun 2016 16:46:13 +0000
